Page MenuHomeFreeBSD

Update to FreeBSD handbook: advanced networking chapter
ClosedPublic

Authored by freebsd_ny-central.org on Feb 20 2024, 7:47 PM.
Tags
Referenced Files
Unknown Object (File)
Mon, Apr 8, 10:38 PM
Unknown Object (File)
Fri, Apr 5, 2:30 PM
Unknown Object (File)
Mon, Mar 25, 10:42 PM
Unknown Object (File)
Feb 26 2024, 12:55 AM
Unknown Object (File)
Feb 22 2024, 1:46 PM
Subscribers

Details

Summary

Suggested additional notice on UP-ing a parent network interface when creating VLANs in rc.conf.
See PR 270942.

In case I should keep such brief changes on Bugzilla, please let me know. Thanks!

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

(I don't know how to render the handbook but) the text in this change solves my concerns.

Looks good. I'll commit with this log message unless there are objections.

Author: Chris Moerz <freebsd@ny-central.org>
Date:   2024-02-22 13:24

    Handbook/Advanced Networking: Add note about VLAN creation

    When adding a new VLAN in rc.conf, the parent interface must be up.  Add
    a note to remind readers of this.

    PR:             270942
    Reviewed by:    jrm, leres
    Differential Revision:  https://reviews.freebsd.org/D43993
documentation/content/en/books/handbook/advanced-networking/_index.adoc
2408โ€“2419

Would it be helpful to add a similar note here?

documentation/content/en/books/handbook/advanced-networking/_index.adoc
2408โ€“2419

Good point! I'll add this and update the patch. Thanks!

Added command line example for minimum configuration on VLANs.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 23 2024, 2:25 PM
This revision was automatically updated to reflect the committed changes.